U++ - Bug #994
Current Ambiance menu fix is not a solution (Ubuntu - Unity)
Description

The problem is with IDE itself. Not in the emulation part. Current fix broken regular apps menu.

So the problem is with IDE transparent menu (It doing something like that):

menubar.Transparent(); / <- If we comment that line menu bar will work normal on Ubuntu.

| will write about it later.

History

#1 - 02/25/2015 12:32 AM - Zbigniew Rebacz
- File IdeAmbientProblemSolve.png added
- File AmbienceFix.diff added

It doesn’t look good at all, but problem it solves the problem.

IMO, to make it good it will need more complex changes in IDE for example move line/column count to status bar and enable it by default. The interface
will be more platform/theme independent. One change is important there that menu bar should has window width.

P.S.

You can delete Ambiance.iml, too in CtrlLib.

#2 - 02/25/2015 12:35 AM - Zbigniew Rebacz

Ambiance will probably never composed with tool bar in the row.

#3 - 02/25/2015 12:39 AM - Zbigniew Rebacz
P.S.

Menu bar in other apps works normally (without artefacts).

#4 - 02/28/2015 01:42 PM - Miroslav Fidler
- Status changed from New to Ready for QA
- Assignee changed from Miroslav Fidler to Zbigniew Rebacz
Well, we support Transparent MenuBars for a reason... So instead of removing Transparent, | have tried better approach directly in Paint routine...

#5 - 02/28/2015 07:40 PM - Zbigniew Rebacz

- File StandardTheme.png added

- Status changed from Ready for QA to In Progress

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

Current solution broken "Standard" ide theme.

#6 - 02/28/2015 07:42 PM - Zbigniew Rebacz

Screen shot attached.

#7 - 02/28/2015 08:11 PM - Miroslav Fidler

- Status changed from In Progress to Ready for QA
- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

Thanks. Hopefully fixed.

#8 - 02/28/2015 11:42 PM - Zbigniew Rebacz

- Status changed from Ready for QA to Approved
